DOVEADM-IMPORT(1)

NAME
doveadm-import - Import messages matching given search query

SYNOPSIS
doveadm [-Dv] import [-S socket_path] [-U source_user] [-s] source_location dest_parent search_query
doveadm [-Dv] import [-S socket_path] [-U source_user] [-s] -A source_location dest_parent search_query
doveadm [-Dv] import [-S socket_path] [-s] -F file source_location dest_parent search_query
doveadm [-Dv] import [-S socket_path] [-U source_user] [-s] -u user source_location dest_parent search_query

DESCRIPTION
This command can be used to import mails from another mail storage specified by source_location to one or more user's mailboxes. All the mailboxes are imported under the given dest_parent mailbox, or to root level if dest_parent is empty (""). The search_query can be used to restrict which mailboxes or messages are imported. By default the import is done in destination user's context, you can use -U to change this. In the first form, doveadm(1) will executed the import action with the environment of the logged in system user.

In the second form, the mails will be imported for all users.

In the third form, the mails will be imported for all users listed in the given file.

In the fourth form, the mails will be imported only for given user(s).

OPTIONS
Global doveadm(1) options:

-D  Enables verbosity and debug messages.

-o setting=value
    Overrides the configuration setting from /usr/pkg/etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

-v  Enables verbosity, including progress counter.

Command specific options:

-A  If the -A option is present, the command will be performed for all users. Using this option in combination with system users from userdb { driver = passwd } is not recommended, because it contains also users with a lower UID than the one configured with the first_valid_uid setting.

    When the SQL userdb module is used make sure that the iterate_query setting in /usr/pkg/etc/dovecot/dovecot-sql.conf.ext matches your database layout. When using the LDAP userdb module, make sure that the iterate_attrs and iterate_filter settings in /usr/pkg/etc/dovecot/dovecot-ldap.conf.ext match your LDAP schema. Otherwise doveadm(1) will be unable to iterate over all users.

-F file
    Execute the command for all the users in the file. This is similar to the -A option, but instead of getting the list of users from the userdb, they are read from the given file. The file contains one username per line.

-S socket_path
    The option's argument is either an absolute path to a local UNIX domain socket, or a hostname and port (hostname:port), in order to connect a remote host via a TCP socket.

    This allows an administrator to execute doveadm(1) mail commands through the given socket.

-s  When the -s option is present, dest_parent and all new mailboxes under it will be subscribed to.

-u user/mask
    Run the command only for the given user. It's also possible to use '*' and '?' wildcards (e.g. -u *@example.org).
    When neither the -A option, nor the -F file option, nor the -u user was specified, the command will be executed with the environment of the currently logged in user.

-U username
    When the -U option is present, the source box is opened with given username.

ARGUMENTS

dest_parent
    The name of the destination mailbox, under which the mails should be imported. doveadm(1) will create the dest_parent mailbox if it doesn't exist.

search_query
    Copy messages matching this search query. See doveadm-search-query(7) for details.

source_location
    This argument specifies the mailbox format and location of the source location. The syntax is the same as for the mail_location setting. For example: maildir:/backup/20101126/jane.doe/Maildir or mdbox:/srv/mail/john.doe/mdbox:ALT=/nfsmount/john.doe/mdbox

EXAMPLE
This example imports all mails from a backup under a backup-20101026 mailbox:

doveadm import -u jane.doe@example.org \
mdbox:/backup/20101026/jane.doe/mdbox backup-20101026 all

Another example that imports only messages from foo@example.org in the backup mdbox's INBOX to jane's INBOX:

doveadm import -u jane.doe@example.org \
mdbox:~/mdbox-backup "" mailbox INBOX from foo@example.org

REPORTING BUGS
Report bugs, including doveconf -n output, to the Dovecot Mailing List <dovecot@dovecot.org>. Information about reporting bugs is available at: http://dovecot.org/bugreport.html

SEE ALSO
doveadm(1), doveadm-fetch(1), doveadm-search(1), doveadm-search-query(7)